VelocityReport Plugin - Defect #90

Grid offset x/y not used
07/16/2010 03:28 AM - Patrick Talbot

Status: Closed Start date: 07/16/2010
Priority: Normal Due date:

Assignee: Patrick Talbot % Done: 90%
Category: charting Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

The charts4J APl is not up to date to the latest Google Charts API parameters, which allows x/y offsets for grid, which would help for
scaling as well.

Will need to patch the lib (find reliable sources, because the current trunk does not compile) and patch the API (most of the classes
are final so not extendable!)

History

#1 - 07/16/2010 07:11 AM - Patrick Talbot
- Subject changed from Gtid offset x/y not used to Grid offset x/y not used

#2 - 07/17/2010 06:49 AM - Patrick Talbot
- Category set to charting
- Status changed from New to Closed

- % Done changed from 0 to 90

Revision r341 and r342

Added xOffset and yOffset parameters to gridLines see Charting for reference
Works fine in GoogleCharts for Bar/Scatter/Line/XYLine, and for Scatter/Line/XYLine for Eastwood.

With Bar charts in Eastwood, only yOffset will be used, because xOffset cannot be calculated.
In Eastwood, bar categories x and width are calculated on the fly, so the xOffset will be ignored.

#3 - 07/20/2010 04:08 AM - Patrick Talbot

Additional info for Bar charts x grid lines in Eastwood:
if grid x[AxisStepSize] == 0 the x grid lines won't appear, but for any value of x[AxisStepSize] > 0, the lines will always be centered on the bars.
